Freeciv-3.2: city_dialog Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Data Fields | Protected Member Functions | Private Slots | Private Member Functions | Private Attributes
city_dialog Struct Reference

`#include <citydlg.h>`

Inheritance diagram for city_dialog:

## Public Types

enum | { INFO_PAGE = 0 , HAPPINESS_PAGE = 1 , ARMY_PAGE , SUPPORTED_UNITS_PAGE , MISC_PAGE }
enum | { INFO_PAGE = 0 , HAPPINESS_PAGE = 1 , ARMY_PAGE , SUPPORTED_UNITS_PAGE , MISC_PAGE }

## Public Member Functions

| city_dialog (QWidget *parent=0)
| ~city_dialog ()
void | setup_ui (struct city *qcity)
void | refresh ()
Public Member Functions inherited from qfc_dialog
| qfc_dialog (QWidget *parent)
void | reactivate ()

## Data Fields

struct city * | pcity
GtkWidget * | shell
GtkWidget * | name_label
cairo_surface_t * | map_canvas_store_unscaled
GtkWidget * | notebook
GtkWidget * | popup_menu
GtkWidget * | citizen_images
cairo_surface_t * | citizen_surface
struct { |
struct city_map_canvas map_canvas |
GtkWidget * production_bar |
GtkWidget * production_combo |
GtkWidget * buy_command |
GtkWidget * improvement_list |
GtkWidget * supported_units_frame |
GtkWidget * supported_unit_table |
GtkWidget * present_units_frame |
GtkWidget * present_unit_table |
struct unit_node_vector supported_units |
struct unit_node_vector present_units |
GtkWidget * info_ebox [NUM_INFO_FIELDS] |
GtkWidget * info_label [NUM_INFO_FIELDS] |
GtkListStore * change_production_store |
} | overview |
struct { |
GtkWidget * production_label |
GtkWidget * production_bar |
GtkWidget * buy_command |
GtkWidget * worklist |
} | production |
struct { |
struct city_map_canvas map_canvas |
GtkWidget * widget |
GtkWidget * info_ebox [NUM_INFO_FIELDS] |
GtkWidget * info_label [NUM_INFO_FIELDS] |
GtkWidget * citizens |
} | happiness |
struct cma_dialog * | cma_editor
struct { |
GtkWidget * rename_command |
GtkWidget * new_citizens_radio [3] |
GtkWidget * disband_on_settler |
GtkWidget * whichtab_radio [NUM_PAGES] |
short block_signal |
} | misc |
GtkWidget * | sell_shell
GtkTreeSelection * | change_selection
GtkWidget * | rename_shell
GtkWidget * | show_units_command
GtkWidget * | prev_command
GtkWidget * | next_command
Impr_type_id | sell_id
int | cwidth
GtkWidget * | popover
GtkWidget * | citizen_pics
struct { |
struct city_map_canvas map_canvas |
GtkWidget * production_bar |
GtkWidget * production_combo |
GtkWidget * buy_command |
GtkWidget * improvement_list |
GtkWidget * supported_units_frame |
GtkWidget * supported_unit_table |
GtkWidget * present_units_frame |
GtkWidget * present_unit_table |
struct unit_node_vector supported_units |
struct unit_node_vector present_units |
GtkWidget * info_label [NUM_INFO_FIELDS] |
GtkListStore * change_production_store |
} | overview |
struct { |
GtkWidget * production_label |
GtkWidget * production_bar |
GtkWidget * buy_command |
GtkWidget * worklist |
} | production |
struct { |
struct city_map_canvas map_canvas |
GtkWidget * widget |
GtkWidget * info_label [NUM_INFO_FIELDS] |
GtkWidget * citizens |
} | happiness |
struct { |
GtkWidget * rename_command |
GtkWidget * new_citizens_radio [3] |
GtkWidget * disband_on_settler |
GtkWidget * whichtab_radio [NUM_PAGES] |
short block_signal |
} | misc |
struct city * | dlgcity
int | scroll_height
float | zoom
enum city_dialog:: { ... } | page
struct widget * | begin_city_widget_list
struct widget * | end_city_widget_list
struct advanced_dialog * | imprv
struct advanced_dialog * | panel
struct widget * | begin_city_menu_widget_list
struct widget * | end_city_menu_widget_list
struct widget * | add_point
struct widget * | buy_button
struct widget * | resource_map
struct widget * | city_name_edit
int | citizen_step
SDL_Rect | spec_area
bool | lock
enum city_dialog:: { ... } | page

## Protected Member Functions

void | showEvent (QShowEvent *event)
void | hideEvent (QHideEvent *event)
void | closeEvent (QCloseEvent *event)
bool | eventFilter (QObject *obj, QEvent *event)
Protected Member Functions inherited from qfc_dialog
void | paintEvent (QPaintEvent *event)
void | mouseMoveEvent (QMouseEvent *event)
void | mousePressEvent (QMouseEvent *event)
void | mouseReleaseEvent (QMouseEvent *event)

## Private Slots

void | next_city ()
void | prev_city ()
void | production_changed (int index)
void | show_targets ()
void | show_targets_worklist ()
void | show_happiness ()
void | buy ()
void | dbl_click_p (QTableWidgetItem *item)
void | item_selected (const QItemSelection &sl, const QItemSelection &ds)
void | clear_worklist ()
void | save_worklist ()
void | worklist_up ()
void | worklist_down ()
void | worklist_del ()
void | display_worklist_menu (const QPoint &p)
void | disband_state_changed (bool allow_disband)
void | cma_slider (int val)
void | cma_toggle_changed (int val)
void | cma_remove ()
void | cma_enable ()
void | cma_changed ()
void | cma_selected (const QItemSelection &sl, const QItemSelection &ds)
void | cma_double_clicked (int row, int column)
void | cma_context_menu (const QPoint &p)
void | save_cma ()
void | city_rename ()
void | zoom_in ()
void | zoom_out ()

## Private Member Functions

void | update_title ()
void | update_building ()
void | update_info_label ()
void | update_buy_button ()
void | update_citizens ()
void | update_improvements ()
void | update_units ()
void | update_nation_table ()
void | update_cma_tab ()
void | update_disabled ()
void | update_sliders ()
void | update_prod_buttons ()
void | update_happiness_button ()
void | change_production (bool next)

## Private Attributes

bool | happiness_shown
QHBoxLayout * | single_page_layout
QHBoxLayout * | happiness_layout
QSplitter * | prod_unit_splitter
QSplitter * | central_left_splitter
QSplitter * | central_splitter
QHBoxLayout * | leftbot_layout
QWidget * | prod_happ_widget
QWidget * | top_widget
QVBoxLayout * | left_layout
city_map * | view
city_label * | citizens_label
city_label * | lab_table [6]
QGridLayout * | info_grid_layout
QGroupBox * | info_labels_group
QGroupBox * | happiness_group
QWidget * | happiness_widget
QWidget * | info_widget
QLabel * | qlt [NUM_INFO_FIELDS]
QLabel * | cma_info_text
QLabel * | cma_result
QLabel * | cma_result_pix
QLabel * | supp_units
QLabel * | curr_units
QLabel * | curr_impr
progress_bar * | production_combo_p
QTableWidget * | p_table_p
QTableWidget * | nationality_table
QTableWidget * | cma_table
QCheckBox * | cma_celeb_checkbox
QCheckBox * | cma_max_growth
QCheckBox * | future_targets
QCheckBox * | show_units
QCheckBox * | show_buildings
QCheckBox * | show_wonders
QRadioButton * | r1
QRadioButton * | r2
QRadioButton * | r3
QRadioButton * | r4
QPushButton * | button
QPushButton * | buy_button
QPushButton * | cma_enable_but
QPushButton * | next_city_but
QPushButton * | prev_city_but
QPushButton * | work_next_but
QPushButton * | work_prev_but
QPushButton * | work_add_but
QPushButton * | work_rem_but
QPushButton * | happiness_button
QPushButton * | zoom_in_button
QPushButton * | zoom_out_button
QPixmap * | citizen_pixmap
unit_info * | current_units
unit_info * | supported_units
impr_info * | city_buildings
QPushButton * | lcity_name
int | selected_row_p
QSlider * | slider_tab [2 *O_LAST+2]
int | current_building

## Detailed Description

Definition at line 136 of file citydlg.c.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
INFO_PAGE |
HAPPINESS_PAGE |
ARMY_PAGE |
SUPPORTED_UNITS_PAGE |
MISC_PAGE |

Definition at line 74 of file citydlg.c.

## ◆ anonymous enum

anonymous enum

Enumerator
INFO_PAGE |
HAPPINESS_PAGE |
ARMY_PAGE |
SUPPORTED_UNITS_PAGE |
MISC_PAGE |

Definition at line 70 of file citydlg.c.

## Constructor & Destructor Documentation

## ◆ city_dialog()

city_dialog::city_dialog | ( | QWidget * | parent = `0` | ) |

Constructor for city_dialog, sets layouts, policies ...

Definition at line 1505 of file citydlg.cpp.

## ◆ ~city_dialog()

city_dialog::~city_dialog | ( |  | ) |

City dialog destructor

Definition at line 2210 of file citydlg.cpp.

## Member Function Documentation

## ◆ buy

void city_dialog::buy | ( |  | ) |

privateslot

Buy button. Shows message box asking for confirmation

Definition at line 3356 of file citydlg.cpp.

Referenced by city_dialog().

## ◆ change_production()

void city_dialog::change_production | ( | bool | next | ) |

private

Changes production to next one or previous

Definition at line 2059 of file citydlg.cpp.

Referenced by eventFilter().

## ◆ city_rename

void city_dialog::city_rename | ( |  | ) |

privateslot

City rename dialog input

Definition at line 2312 of file citydlg.cpp.

Referenced by city_dialog(), and city_rename().

## ◆ clear_worklist

void city_dialog::clear_worklist | ( |  | ) |

privateslot

Clears worklist in production page

Definition at line 3561 of file citydlg.cpp.

Referenced by display_worklist_menu().

## ◆ closeEvent()

void city_dialog::closeEvent | ( | QCloseEvent * | event | ) |

protected

Show event

Definition at line 2264 of file citydlg.cpp.

## ◆ cma_changed

void city_dialog::cma_changed | ( |  | ) |

privateslot

Sliders moved and cma has been changed

Definition at line 2419 of file citydlg.cpp.

Referenced by cma_enable(), cma_slider(), and cma_toggle_changed().

## ◆ cma_context_menu

void city_dialog::cma_context_menu | ( | const QPoint & | p | ) |

privateslot

Context menu on governor tab in city worklist

Definition at line 2691 of file citydlg.cpp.

Referenced by city_dialog().

## ◆ cma_double_clicked

void city_dialog::cma_double_clicked | ( | int | row,
|  | int | column
| ) |  |

privateslot

Double click on some row ( column is unused )

Definition at line 2440 of file citydlg.cpp.

Referenced by city_dialog().

## ◆ cma_enable

void city_dialog::cma_enable | ( |  | ) |

privateslot

Enables cma slot, triggered by clicked button or changed cma

Definition at line 2404 of file citydlg.cpp.

Referenced by city_dialog().

## ◆ cma_remove

void city_dialog::cma_remove | ( |  | ) |

privateslot

Removes selected CMA

Definition at line 2608 of file citydlg.cpp.

Referenced by cma_context_menu().

## ◆ cma_selected

void city_dialog::cma_selected | ( | const QItemSelection & | sl,
|  | const QItemSelection & | ds
| ) |  |

privateslot

CMA has been selected from list

Definition at line 2459 of file citydlg.cpp.

Referenced by city_dialog().

## ◆ cma_slider

void city_dialog::cma_slider | ( | int | value | ) |

privateslot

CMA options on slider has been changed

Definition at line 2646 of file citydlg.cpp.

Referenced by city_dialog().

## ◆ cma_toggle_changed

void city_dialog::cma_toggle_changed | ( | int | val | ) |

privateslot

CMA option 'celebrate' or 'max_growth' QCheckBox state has been changed

Definition at line 2635 of file citydlg.cpp.

Referenced by city_dialog().

## ◆ dbl_click_p

void city_dialog::dbl_click_p | ( | QTableWidgetItem * | item | ) |

privateslot

Double clicked item in worklist table in production tab

Definition at line 3166 of file citydlg.cpp.

Referenced by city_dialog(), and worklist_del().

## ◆ disband_state_changed

void city_dialog::disband_state_changed | ( | bool | allow_disband | ) |

privateslot

Received signal about changed checkbox - allow disbanding city

Definition at line 2671 of file citydlg.cpp.

Referenced by display_worklist_menu().

## ◆ display_worklist_menu

void city_dialog::display_worklist_menu | ( | const QPoint & | p | ) |

privateslot

Context menu on production tab in city worklist

Definition at line 2711 of file citydlg.cpp.

Referenced by city_dialog().

## ◆ eventFilter()

bool city_dialog::eventFilter | ( | QObject * | obj,
|  | QEvent * | event
| ) |  |

protected

Event filter for catching keyboard events

Definition at line 2275 of file citydlg.cpp.

## ◆ hideEvent()

void city_dialog::hideEvent | ( | QHideEvent * | event | ) |

protected

Hide event

Definition at line 2236 of file citydlg.cpp.

## ◆ item_selected

void city_dialog::item_selected | ( | const QItemSelection & | sl,
|  | const QItemSelection & | ds
| ) |  |

privateslot

Selection changed in production tab, in worklist tab

Definition at line 3239 of file citydlg.cpp.

Referenced by city_dialog().

## ◆ next_city

void city_dialog::next_city | ( |  | ) |

privateslot

Changes city_dialog to next city after pushing next city button

Definition at line 3257 of file citydlg.cpp.

Referenced by city_dialog(), and eventFilter().

## ◆ prev_city

void city_dialog::prev_city | ( |  | ) |

privateslot

Changes city_dialog to previous city after pushing prev city button

Definition at line 3292 of file citydlg.cpp.

Referenced by city_dialog(), and eventFilter().

## ◆ production_changed

void city_dialog::production_changed | ( | int | index | ) |

privateslot

Slot executed when user changed production in customized table widget

Definition at line 3512 of file citydlg.cpp.

## ◆ refresh()

void city_dialog::refresh | ( |  | ) |

Various refresh after getting new info/reply from server

Definition at line 2920 of file citydlg.cpp.

Referenced by qtg_real_city_dialog_refresh(), and setup_ui().

## ◆ save_cma

void city_dialog::save_cma | ( |  | ) |

privateslot

Save cma dialog input

Definition at line 2368 of file citydlg.cpp.

Referenced by city_dialog().

## ◆ save_worklist

void city_dialog::save_worklist | ( |  | ) |

privateslot

Save worklist

Definition at line 3642 of file citydlg.cpp.

Referenced by display_worklist_menu().

## ◆ setup_ui()

void city_dialog::setup_ui | ( | struct city * | qcity | ) |

Setups whole city dialog, public function

Definition at line 3150 of file citydlg.cpp.

Referenced by qtg_real_city_dialog_popup().

## ◆ show_happiness

void city_dialog::show_happiness | ( |  | ) |

privateslot

Shows happiness tab

Definition at line 2116 of file citydlg.cpp.

Referenced by city_dialog().

## ◆ show_targets

void city_dialog::show_targets | ( |  | ) |

privateslot

Shows customized table widget with available items to produce Shows default targets in overview city page

Definition at line 3530 of file citydlg.cpp.

Referenced by city_dialog().

## ◆ show_targets_worklist

void city_dialog::show_targets_worklist | ( |  | ) |

privateslot

Shows customized table widget with available items to produce Shows customized targets in city production page

Definition at line 3546 of file citydlg.cpp.

Referenced by city_dialog().

## ◆ showEvent()

void city_dialog::showEvent | ( | QShowEvent * | event | ) |

protected

Show event

Definition at line 2247 of file citydlg.cpp.

## ◆ update_building()

void city_dialog::update_building | ( |  | ) |

private

Updates building improvement/unit

Definition at line 3327 of file citydlg.cpp.

Referenced by refresh().

## ◆ update_buy_button()

void city_dialog::update_buy_button | ( |  | ) |

private

Enables/disables buy buttons depending on gold

Definition at line 2811 of file citydlg.cpp.

Referenced by refresh().

## ◆ update_citizens()

void city_dialog::update_citizens | ( |  | ) |

private

Redraws citizens for city_label (citizens_label)

Definition at line 2836 of file citydlg.cpp.

Referenced by refresh().

## ◆ update_cma_tab()

void city_dialog::update_cma_tab | ( |  | ) |

private

Updates cma tab

Definition at line 2541 of file citydlg.cpp.

Referenced by cma_double_clicked(), cma_enable(), cma_remove(), cma_slider(), cma_toggle_changed(), refresh(), and save_cma().

## ◆ update_disabled()

void city_dialog::update_disabled | ( |  | ) |

private

Updates buttons/widgets which should be enabled/disabled

Definition at line 2145 of file citydlg.cpp.

Referenced by refresh().

## ◆ update_happiness_button()

void city_dialog::update_happiness_button | ( |  | ) |

private

Sets tooltip for happiness/pruction button switcher

Definition at line 2104 of file citydlg.cpp.

Referenced by city_dialog(), and show_happiness().

## ◆ update_improvements()

void city_dialog::update_improvements | ( |  | ) |

private

Updates list of improvements

Definition at line 3395 of file citydlg.cpp.

Referenced by refresh().

## ◆ update_info_label()

void city_dialog::update_info_label | ( |  | ) |

private

Updates information label ( food, prod ... surpluses ...)

Definition at line 3029 of file citydlg.cpp.

Referenced by refresh().

## ◆ update_nation_table()

void city_dialog::update_nation_table | ( |  | ) |

private

Updates nationality table in happiness tab

Definition at line 2952 of file citydlg.cpp.

Referenced by refresh().

## ◆ update_prod_buttons()

void city_dialog::update_prod_buttons | ( |  | ) |

private

Update sensitivity of buttons in production tab

Definition at line 2183 of file citydlg.cpp.

Referenced by item_selected(), update_disabled(), and worklist_del().

## ◆ update_sliders()

void city_dialog::update_sliders | ( |  | ) |

private

Updates sliders ( cma params )

Definition at line 2489 of file citydlg.cpp.

Referenced by cma_selected(), and update_cma_tab().

## ◆ update_title()

void city_dialog::update_title | ( |  | ) |

private

Puts city name and people count on title

Definition at line 3673 of file citydlg.cpp.

Referenced by refresh().

## ◆ update_units()

void city_dialog::update_units | ( |  | ) |

private

Updates layouts for supported and present units in city

Definition at line 3183 of file citydlg.cpp.

Referenced by refresh().

## ◆ worklist_del

void city_dialog::worklist_del | ( |  | ) |

privateslot

Remove current item on worklist

Definition at line 3601 of file citydlg.cpp.

Referenced by city_dialog().

## ◆ worklist_down

void city_dialog::worklist_down | ( |  | ) |

privateslot

Move current item on worklist down

Definition at line 3618 of file citydlg.cpp.

Referenced by city_dialog().

## ◆ worklist_up

void city_dialog::worklist_up | ( |  | ) |

privateslot

Move current item on worklist up

Definition at line 3576 of file citydlg.cpp.

Referenced by city_dialog().

## ◆ zoom_in

void city_dialog::zoom_in | ( |  | ) |

privateslot

Zooms in tiles view

Definition at line 2342 of file citydlg.cpp.

Referenced by city_dialog().

## ◆ zoom_out

void city_dialog::zoom_out | ( |  | ) |

privateslot

Zooms out tiles view

Definition at line 2355 of file citydlg.cpp.

Referenced by city_dialog().

## Field Documentation

## ◆ add_point

struct widget * city_dialog::add_point

Definition at line 97 of file citydlg.c.

Referenced by real_city_dialog_popup(), and rebuild_imprm_list().

## ◆ begin_city_menu_widget_list

struct widget * city_dialog::begin_city_menu_widget_list

Definition at line 93 of file citydlg.c.

Referenced by activate_and_exit_units_orders_city_dlg_callback(), cancel_units_orders_city_dlg_callback(), popdown_city_menu_dlg(), redraw_city_dialog(), sell_imprvm_dlg_callback(), sell_imprvm_dlg_cancel_callback(), sell_imprvm_dlg_ok_callback(), and units_orders_city_dlg_callback().

## ◆ begin_city_widget_list

struct widget * city_dialog::begin_city_widget_list

Definition at line 83 of file citydlg.c.

Referenced by city_dlg_callback(), del_city_dialog(), disable_city_dlg_widgets(), enable_city_dlg_widgets(), real_city_dialog_popup(), and redraw_city_dialog().

## ◆ block_signal

short city_dialog::block_signal

Definition at line 194 of file citydlg.c.

Referenced by cityopt_callback(), create_and_append_settings_page(), and set_cityopt_values().

## ◆ button

QPushButton* city_dialog::button

private

Definition at line 476 of file citydlg.h.

Referenced by city_dialog().

## ◆ buy_button [1/2]

struct widget * city_dialog::buy_button

private

Definition at line 477 of file citydlg.h.

Referenced by city_dialog(), enable_city_dlg_widgets(), ok_buy_prod_city_dlg_callback(), popup_hurry_production_dialog(), real_city_dialog_popup(), redraw_city_dialog(), update_buy_button(), and update_disabled().

## ◆ buy_button [2/2]

struct widget* city_dialog::buy_button

Definition at line 98 of file citydlg.c.

## ◆ buy_command

GtkWidget* city_dialog::buy_command

Definition at line 153 of file citydlg.c.

Referenced by city_dialog_update_building(), create_and_append_overview_page(), create_city_dialog(), create_production_header(), and create_production_header().

## ◆ central_left_splitter

QSplitter* city_dialog::central_left_splitter

private

Definition at line 444 of file citydlg.h.

Referenced by city_dialog(), closeEvent(), hideEvent(), and showEvent().

## ◆ central_splitter

QSplitter* city_dialog::central_splitter

private

Definition at line 445 of file citydlg.h.

Referenced by city_dialog(), closeEvent(), hideEvent(), and showEvent().

## ◆ change_production_store

GtkListStore* city_dialog::change_production_store

Definition at line 168 of file citydlg.c.

Referenced by city_dialog_update_building(), and create_and_append_overview_page().

## ◆ change_selection

GtkTreeSelection * city_dialog::change_selection

Definition at line 198 of file citydlg.c.

## ◆ citizen_images

GtkWidget* city_dialog::citizen_images

Definition at line 145 of file citydlg.c.

Referenced by city_dialog_update_citizens(), and create_city_dialog().

## ◆ citizen_pics

GtkWidget* city_dialog::citizen_pics

Definition at line 147 of file citydlg.c.

Referenced by city_dialog_update_citizens(), and create_city_dialog().

## ◆ citizen_pixmap

QPixmap* city_dialog::citizen_pixmap

private

Definition at line 488 of file citydlg.h.

Referenced by city_dialog(), update_citizens(), and ~city_dialog().

## ◆ citizen_step

int city_dialog::citizen_step

Definition at line 102 of file citydlg.c.

Referenced by city_dlg_callback(), and redraw_city_dialog().

## ◆ citizen_surface

cairo_surface_t * city_dialog::citizen_surface

Definition at line 146 of file citydlg.c.

Referenced by city_destroy_callback(), city_dialog_update_citizens(), and create_city_dialog().

## ◆ citizens

GtkWidget* city_dialog::citizens

Definition at line 184 of file citydlg.c.

Referenced by create_and_append_happiness_page(), create_city_dialog(), and switch_city_callback().

## ◆ citizens_label

city_label* city_dialog::citizens_label

private

Definition at line 451 of file citydlg.h.

Referenced by city_dialog(), and update_citizens().

## ◆ city_buildings

impr_info* city_dialog::city_buildings

private

Definition at line 491 of file citydlg.h.

Referenced by city_dialog(), and update_improvements().

## ◆ city_name_edit

struct widget * city_dialog::city_name_edit

Definition at line 100 of file citydlg.c.

Referenced by real_city_dialog_popup(), and refresh_city_names().

## ◆ cma_celeb_checkbox

QCheckBox* city_dialog::cma_celeb_checkbox

private

Definition at line 469 of file citydlg.h.

Referenced by city_dialog(), cma_changed(), and update_sliders().

## ◆ cma_editor

struct cma_dialog * city_dialog::cma_editor

Definition at line 187 of file citydlg.c.

Referenced by create_and_append_cma_page(), create_city_dialog(), and switch_city_callback().

## ◆ cma_enable_but

QPushButton* city_dialog::cma_enable_but

private

Definition at line 478 of file citydlg.h.

Referenced by city_dialog(), update_cma_tab(), and update_disabled().

## ◆ cma_info_text

QLabel* city_dialog::cma_info_text

private

Definition at line 459 of file citydlg.h.

Referenced by city_dialog().

## ◆ cma_max_growth

QCheckBox* city_dialog::cma_max_growth

private

Definition at line 470 of file citydlg.h.

Referenced by city_dialog(), cma_changed(), and update_sliders().

## ◆ cma_result

QLabel* city_dialog::cma_result

private

Definition at line 460 of file citydlg.h.

Referenced by city_dialog(), and update_cma_tab().

## ◆ cma_result_pix

QLabel* city_dialog::cma_result_pix

private

Definition at line 461 of file citydlg.h.

Referenced by city_dialog(), and update_cma_tab().

## ◆ cma_table

QTableWidget* city_dialog::cma_table

private

Definition at line 468 of file citydlg.h.

Referenced by city_dialog(), cma_remove(), cma_selected(), update_cma_tab(), update_sliders(), and ~city_dialog().

## ◆ curr_impr

QLabel* city_dialog::curr_impr

private

Definition at line 464 of file citydlg.h.

Referenced by city_dialog(), and update_improvements().

## ◆ curr_units

QLabel* city_dialog::curr_units

private

Definition at line 463 of file citydlg.h.

Referenced by city_dialog(), and update_units().

## ◆ current_building

int city_dialog::current_building

private

Definition at line 506 of file citydlg.h.

Referenced by city_dialog().

## ◆ current_units

unit_info* city_dialog::current_units

private

Definition at line 489 of file citydlg.h.

Referenced by city_dialog(), update_disabled(), update_units(), and ~city_dialog().

## ◆ cwidth

int city_dialog::cwidth

Definition at line 207 of file citydlg.c.

Referenced by citizens_callback(), citizens_callback(), and city_dialog_update_citizens().

## ◆ disband_on_settler

GtkWidget* city_dialog::disband_on_settler

Definition at line 192 of file citydlg.c.

Referenced by cityopt_callback(), create_and_append_settings_page(), and set_cityopt_values().

## ◆ dlgcity

struct city* city_dialog::dlgcity

Definition at line 501 of file citydlg.h.

Referenced by buy(), change_production(), city_dialog(), city_rename(), clear_worklist(), cma_changed(), cma_double_clicked(), cma_enable(), cma_selected(), cma_slider(), cma_toggle_changed(), dbl_click_p(), disband_state_changed(), display_worklist_menu(), next_city(), prev_city(), production_changed(), qtg_city_dialog_is_open(), refresh(), save_worklist(), setup_ui(), show_targets(), show_targets_worklist(), update_building(), update_buy_button(), update_citizens(), update_cma_tab(), update_disabled(), update_improvements(), update_info_label(), update_nation_table(), update_prod_buttons(), update_sliders(), update_title(), update_units(), worklist_down(), worklist_up(), zoom_in(), and zoom_out().

## ◆ end_city_menu_widget_list

struct widget * city_dialog::end_city_menu_widget_list

Definition at line 94 of file citydlg.c.

Referenced by activate_and_exit_units_orders_city_dlg_callback(), cancel_units_orders_city_dlg_callback(), popdown_city_menu_dlg(), redraw_city_dialog(), sell_imprvm_dlg_callback(), sell_imprvm_dlg_cancel_callback(), sell_imprvm_dlg_ok_callback(), and units_orders_city_dlg_callback().

## ◆ end_city_widget_list

struct widget * city_dialog::end_city_widget_list

Definition at line 84 of file citydlg.c.

Referenced by create_city_options_widget_list(), create_present_supported_units_widget_list(), del_city_dialog(), disable_city_dlg_widgets(), enable_city_dlg_widgets(), real_city_dialog_popup(), rebuild_imprm_list(), redraw_city_dialog(), and refresh_city_names().

## ◆ future_targets

QCheckBox* city_dialog::future_targets

private

Definition at line 471 of file citydlg.h.

Referenced by city_dialog(), show_targets(), and show_targets_worklist().

## ◆ [struct] [1/2]

struct { ... } city_dialog::happiness

Referenced by create_and_append_happiness_page(), create_city_dialog(), draw_map_canvas(), real_city_dialog_popup(), real_city_dialog_refresh(), and switch_city_callback().

## ◆ [struct] [2/2]

struct { ... } city_dialog::happiness

## ◆ happiness_button

QPushButton* city_dialog::happiness_button

private

Definition at line 485 of file citydlg.h.

Referenced by city_dialog(), and update_happiness_button().

## ◆ happiness_group

QGroupBox* city_dialog::happiness_group

private

Definition at line 455 of file citydlg.h.

Referenced by city_dialog().

## ◆ happiness_layout

QHBoxLayout* city_dialog::happiness_layout

private

Definition at line 442 of file citydlg.h.

Referenced by city_dialog().

## ◆ happiness_shown

bool city_dialog::happiness_shown

private

Definition at line 440 of file citydlg.h.

Referenced by city_dialog(), show_happiness(), update_happiness_button(), and ~city_dialog().

## ◆ happiness_widget

QWidget* city_dialog::happiness_widget

private

Definition at line 456 of file citydlg.h.

Referenced by city_dialog(), show_happiness(), and ~city_dialog().

## ◆ improvement_list

GtkWidget* city_dialog::improvement_list

Definition at line 154 of file citydlg.c.

Referenced by city_dialog_update_improvement_list(), create_citydlg_improvement_list(), and create_citydlg_improvement_list().

## ◆ imprv

struct advanced_dialog * city_dialog::imprv

Definition at line 87 of file citydlg.c.

Referenced by del_city_dialog(), disable_city_dlg_widgets(), enable_city_dlg_widgets(), rebuild_imprm_list(), and sell_imprvm_dlg_ok_callback().

## ◆ info_ebox

GtkWidget* city_dialog::info_ebox[NUM_INFO_FIELDS]

Definition at line 165 of file citydlg.c.

Referenced by create_and_append_happiness_page(), create_and_append_overview_page(), create_city_info_table(), and real_city_dialog_refresh().

## ◆ info_grid_layout

QGridLayout* city_dialog::info_grid_layout

private

Definition at line 453 of file citydlg.h.

Referenced by city_dialog().

## ◆ info_label

GtkWidget* city_dialog::info_label[NUM_INFO_FIELDS]

Definition at line 166 of file citydlg.c.

Referenced by create_and_append_happiness_page(), create_and_append_overview_page(), and real_city_dialog_refresh().

## ◆ info_labels_group

QGroupBox* city_dialog::info_labels_group

private

Definition at line 454 of file citydlg.h.

## ◆ info_widget

QWidget* city_dialog::info_widget

private

Definition at line 457 of file citydlg.h.

## ◆ lab_table

city_label* city_dialog::lab_table[6]

private

Definition at line 452 of file citydlg.h.

Referenced by city_dialog(), and update_citizens().

## ◆ lcity_name

QPushButton* city_dialog::lcity_name

private

Definition at line 492 of file citydlg.h.

Referenced by city_dialog(), and update_title().

## ◆ left_layout

QVBoxLayout* city_dialog::left_layout

private

Definition at line 449 of file citydlg.h.

Referenced by city_dialog(), zoom_in(), and zoom_out().

## ◆ leftbot_layout

QHBoxLayout* city_dialog::leftbot_layout

private

Definition at line 446 of file citydlg.h.

Referenced by city_dialog(), and show_happiness().

## ◆ lock

bool city_dialog::lock

Definition at line 106 of file citydlg.c.

Referenced by city_dlg_callback(), disable_city_dlg_widgets(), and enable_city_dlg_widgets().

## ◆ map_canvas

struct city_map_canvas city_dialog::map_canvas

Definition at line 149 of file citydlg.c.

Referenced by create_and_append_happiness_page(), create_city_dialog(), create_citydlg_main_map(), create_citydlg_main_map(), draw_map_canvas(), real_city_dialog_popup(), and switch_city_callback().

## ◆ map_canvas_store_unscaled

cairo_surface_t * city_dialog::map_canvas_store_unscaled

Definition at line 141 of file citydlg.c.

Referenced by canvas_draw_cb(), canvas_exposed_cb(), city_destroy_callback(), city_dialog_update_map(), and create_city_dialog().

## ◆ [struct] [1/2]

struct { ... } city_dialog::misc

Referenced by cityopt_callback(), create_and_append_settings_page(), and set_cityopt_values().

## ◆ [struct] [2/2]

struct { ... } city_dialog::misc

## ◆ name_label

GtkWidget * city_dialog::name_label

Definition at line 140 of file citydlg.c.

Referenced by city_dialog_update_title(), and create_city_dialog().

## ◆ nationality_table

QTableWidget* city_dialog::nationality_table

private

Definition at line 467 of file citydlg.h.

Referenced by city_dialog(), update_nation_table(), and ~city_dialog().

## ◆ new_citizens_radio

GtkWidget* city_dialog::new_citizens_radio[3]

Definition at line 191 of file citydlg.c.

Referenced by cityopt_callback(), create_and_append_settings_page(), and set_cityopt_values().

## ◆ next_city_but

QPushButton* city_dialog::next_city_but

private

Definition at line 479 of file citydlg.h.

Referenced by city_dialog(), and update_disabled().

## ◆ next_command

GtkWidget * city_dialog::next_command

Definition at line 203 of file citydlg.c.

Referenced by create_city_dialog(), and switch_city_callback().

## ◆ notebook

GtkWidget * city_dialog::notebook

Definition at line 142 of file citydlg.c.

Referenced by city_destroy_callback(), citydlg_keyboard_handler(), create_and_append_buildings_page(), create_and_append_cma_page(), create_and_append_happiness_page(), create_and_append_map_page(), create_and_append_overview_page(), create_and_append_settings_page(), create_and_append_worklist_page(), create_city_dialog(), and keyboard_handler().

## ◆ [struct] [1/2]

struct { ... } city_dialog::overview

Referenced by city_destroy_callback(), city_dialog_update_building(), city_dialog_update_improvement_list(), city_dialog_update_present_units(), city_dialog_update_supported_units(), create_and_append_overview_page(), create_citydlg_improvement_list(), create_citydlg_improvement_list(), create_citydlg_main_map(), create_citydlg_main_map(), draw_map_canvas(), real_city_dialog_popup(), real_city_dialog_refresh(), and switch_city_callback().

## ◆ [struct] [2/2]

struct { ... } city_dialog::overview

## ◆ p_table_p

QTableWidget* city_dialog::p_table_p

private

Definition at line 466 of file citydlg.h.

Referenced by city_dialog(), update_improvements(), worklist_del(), worklist_down(), worklist_up(), and ~city_dialog().

## ◆ [] [1/2]

enum { ... } city_dialog::page

Referenced by army_city_dlg_callback(), create_and_append_map_page(), create_and_append_overview_page(), create_present_supported_units_widget_list(), happy_city_dlg_callback(), info_city_dlg_callback(), options_city_dlg_callback(), real_city_dialog_popup(), redraw_city_dialog(), supported_unit_city_dlg_callback(), and units_orders_city_dlg_callback().

## ◆ [] [2/2]

enum { ... } city_dialog::page

## ◆ panel

struct advanced_dialog * city_dialog::panel

Definition at line 90 of file citydlg.c.

Referenced by city_dlg_callback(), create_city_options_widget_list(), create_present_supported_units_widget_list(), del_city_dialog(), disable_city_dlg_widgets(), enable_city_dlg_widgets(), free_city_units_lists(), redraw_army_city_dialog(), redraw_misc_city_dialog(), and redraw_supported_units_city_dialog().

## ◆ pcity

struct city * city_dialog::pcity

Definition at line 137 of file citydlg.c.

Referenced by activate_and_exit_units_orders_city_dlg_callback(), army_city_dlg_callback(), button_down_citymap(), buy(), buy_callback(), buy_callback_response(), buy_prod_city_dlg_callback(), canvas_draw_cb(), canvas_exposed_cb(), change_prod_dlg_callback(), change_production_callback(), citizens_callback(), citizens_callback(), city_destroy_callback(), city_dialog_is_open(), city_dialog_update_building(), city_dialog_update_citizens(), city_dialog_update_improvement_list(), city_dialog_update_information(), city_dialog_update_information(), city_dialog_update_map(), city_dialog_update_present_units(), city_dialog_update_supported_units(), city_dialog_update_title(), city_dlg_callback(), city_rename(), cityopt_callback(), cma_city_dlg_callback(), create_and_append_cma_page(), create_and_append_happiness_page(), create_and_append_worklist_page(), create_city_dialog(), create_present_supported_units_widget_list(), create_unit_menu(), create_unit_surface(), display_worklist_menu(), enable_city_dlg_widgets(), exit_city_dlg_callback(), get_city_dialog(), happy_city_dlg_callback(), info_city_dlg_callback(), left_button_down_citymap(), misc_panel_city_dlg_callback(), new_name_city_dlg_callback(), next_prev_city_dlg_callback(), options_city_dlg_callback(), popdown_all_city_dialogs(), popdown_city_dialog(), present_unit_activate_close_callback(), present_unit_activate_close_callback(), real_city_dialog_popup(), real_city_dialog_refresh(), rebuild_imprm_list(), redraw_army_city_dialog(), redraw_supported_units_city_dialog(), refresh_unit_city_dialogs(), rename_callback(), rename_popup_callback(), resource_map_city_dlg_callback(), right_button_down_citymap(), save_worklist(), sell_callback(), sell_callback_response(), sell_imprvm_dlg_callback(), sell_imprvm_dlg_cancel_callback(), sell_imprvm_dlg_ok_callback(), set_cityopt_values(), show_info_popup(), show_info_popup(), show_units_response(), supported_unit_activate_close_callback(), supported_unit_activate_close_callback(), supported_unit_city_dlg_callback(), switch_city_callback(), target_drag_data_received(), target_drag_data_received(), and units_orders_city_dlg_callback().

## ◆ popover

GtkWidget* city_dialog::popover

Definition at line 146 of file citydlg.c.

Referenced by close_citydlg_unit_popover(), create_city_dialog(), and create_unit_menu().

## ◆ popup_menu

GtkWidget* city_dialog::popup_menu

Definition at line 144 of file citydlg.c.

Referenced by city_destroy_callback(), create_city_dialog(), present_unit_callback(), and supported_unit_callback().

## ◆ present_unit_table

GtkWidget* city_dialog::present_unit_table

Definition at line 160 of file citydlg.c.

Referenced by city_dialog_update_present_units(), and create_and_append_overview_page().

## ◆ present_units

struct unit_node_vector city_dialog::present_units

Definition at line 163 of file citydlg.c.

Referenced by city_destroy_callback(), city_dialog_update_present_units(), and create_and_append_overview_page().

## ◆ present_units_frame

GtkWidget* city_dialog::present_units_frame

Definition at line 159 of file citydlg.c.

Referenced by city_dialog_update_present_units(), and create_and_append_overview_page().

## ◆ prev_city_but

QPushButton* city_dialog::prev_city_but

private

Definition at line 480 of file citydlg.h.

Referenced by city_dialog(), and update_disabled().

## ◆ prev_command

GtkWidget * city_dialog::prev_command

Definition at line 202 of file citydlg.c.

Referenced by create_city_dialog(), and switch_city_callback().

## ◆ prod_happ_widget

QWidget* city_dialog::prod_happ_widget

private

Definition at line 447 of file citydlg.h.

Referenced by city_dialog().

## ◆ prod_unit_splitter

QSplitter* city_dialog::prod_unit_splitter

private

Definition at line 443 of file citydlg.h.

Referenced by city_dialog(), closeEvent(), hideEvent(), show_happiness(), showEvent(), and ~city_dialog().

## ◆ [struct] [1/2]

struct { ... } city_dialog::production

Referenced by city_dialog_update_building(), create_and_append_worklist_page(), create_city_dialog(), create_production_header(), create_production_header(), real_city_dialog_refresh(), and switch_city_callback().

## ◆ [struct] [2/2]

struct { ... } city_dialog::production

## ◆ production_bar

GtkWidget* city_dialog::production_bar

Definition at line 151 of file citydlg.c.

Referenced by city_dialog_update_building(), create_and_append_overview_page(), create_city_dialog(), create_production_header(), and create_production_header().

## ◆ production_combo

GtkWidget* city_dialog::production_combo

Definition at line 152 of file citydlg.c.

Referenced by city_dialog_update_building(), and create_and_append_overview_page().

## ◆ production_combo_p

progress_bar* city_dialog::production_combo_p

private

Definition at line 465 of file citydlg.h.

Referenced by city_dialog(), refresh(), setup_ui(), update_building(), and update_disabled().

## ◆ production_label

GtkWidget* city_dialog::production_label

Definition at line 172 of file citydlg.c.

Referenced by city_dialog_update_building(), create_and_append_worklist_page(), and create_city_dialog().

## ◆ qlt

QLabel* city_dialog::qlt[NUM_INFO_FIELDS]

private

Definition at line 458 of file citydlg.h.

Referenced by city_dialog(), and update_info_label().

## ◆ r1

QRadioButton* city_dialog::r1

private

Definition at line 475 of file citydlg.h.

Referenced by city_dialog().

## ◆ r2

QRadioButton * city_dialog::r2

private

Definition at line 475 of file citydlg.h.

Referenced by city_dialog().

## ◆ r3

QRadioButton * city_dialog::r3

private

Definition at line 475 of file citydlg.h.

Referenced by city_dialog().

## ◆ r4

QRadioButton * city_dialog::r4

private

Definition at line 475 of file citydlg.h.

Referenced by city_dialog().

## ◆ rename_command

GtkWidget* city_dialog::rename_command

Definition at line 190 of file citydlg.c.

Referenced by create_and_append_settings_page().

## ◆ rename_shell

GtkWidget * city_dialog::rename_shell

Definition at line 199 of file citydlg.c.

Referenced by city_destroy_callback(), create_city_dialog(), rename_callback(), and rename_popup_callback().

## ◆ resource_map

struct widget * city_dialog::resource_map

Definition at line 99 of file citydlg.c.

Referenced by enable_city_dlg_widgets(), next_prev_city_dlg_callback(), real_city_dialog_popup(), and redraw_city_dialog().

## ◆ scroll_height

int city_dialog::scroll_height

Definition at line 502 of file citydlg.h.

Referenced by city_dialog(), impr_info::update_buildings(), and unit_info::update_units().

## ◆ selected_row_p

int city_dialog::selected_row_p

private

Definition at line 493 of file citydlg.h.

Referenced by city_dialog(), dbl_click_p(), display_worklist_menu(), item_selected(), show_targets(), show_targets_worklist(), update_prod_buttons(), worklist_del(), worklist_down(), and worklist_up().

## ◆ sell_id

Impr_type_id city_dialog::sell_id

Definition at line 205 of file citydlg.c.

Referenced by sell_callback(), and sell_callback_response().

## ◆ sell_shell

GtkWidget * city_dialog::sell_shell

Definition at line 197 of file citydlg.c.

Referenced by city_destroy_callback(), create_city_dialog(), sell_callback(), and sell_callback_response().

## ◆ shell

GtkWidget * city_dialog::shell

Definition at line 139 of file citydlg.c.

Referenced by buy_callback(), city_destroy_callback(), city_dialog_update_title(), close_city_dialog(), create_and_append_happiness_page(), create_city_dialog(), real_city_dialog_popup(), rename_callback(), sell_callback(), show_info_popup(), and switch_city_callback().

## ◆ show_buildings

QCheckBox* city_dialog::show_buildings

private

Definition at line 473 of file citydlg.h.

Referenced by city_dialog(), show_targets(), and show_targets_worklist().

## ◆ show_units

QCheckBox* city_dialog::show_units

private

Definition at line 472 of file citydlg.h.

Referenced by city_dialog(), show_targets(), and show_targets_worklist().

## ◆ show_units_command

GtkWidget * city_dialog::show_units_command

Definition at line 201 of file citydlg.c.

Referenced by create_city_dialog(), and real_city_dialog_refresh().

## ◆ show_wonders

QCheckBox* city_dialog::show_wonders

private

Definition at line 474 of file citydlg.h.

Referenced by city_dialog(), show_targets(), and show_targets_worklist().

## ◆ single_page_layout

QHBoxLayout* city_dialog::single_page_layout

private

Definition at line 441 of file citydlg.h.

Referenced by city_dialog().

## ◆ slider_tab

QSlider* city_dialog::slider_tab[2 *O_LAST+2]

private

Definition at line 494 of file citydlg.h.

Referenced by city_dialog(), cma_changed(), and update_sliders().

## ◆ spec_area

SDL_Rect city_dialog::spec_area

Definition at line 104 of file citydlg.c.

Referenced by city_dlg_callback(), and redraw_city_dialog().

## ◆ supp_units

QLabel* city_dialog::supp_units

private

Definition at line 462 of file citydlg.h.

Referenced by city_dialog(), and update_units().

## ◆ supported_unit_table

GtkWidget* city_dialog::supported_unit_table

Definition at line 157 of file citydlg.c.

Referenced by city_dialog_update_supported_units(), and create_and_append_overview_page().

## ◆ supported_units [1/2]

struct unit_node_vector city_dialog::supported_units

Definition at line 162 of file citydlg.c.

Referenced by city_destroy_callback(), city_dialog(), city_dialog_update_supported_units(), create_and_append_overview_page(), update_disabled(), update_units(), and ~city_dialog().

## ◆ supported_units [2/2]

unit_info* city_dialog::supported_units

private

Definition at line 490 of file citydlg.h.

## ◆ supported_units_frame

GtkWidget* city_dialog::supported_units_frame

Definition at line 156 of file citydlg.c.

Referenced by city_dialog_update_supported_units(), and create_and_append_overview_page().

## ◆ top_widget

QWidget* city_dialog::top_widget

private

Definition at line 448 of file citydlg.h.

Referenced by city_dialog().

## ◆ view

city_map* city_dialog::view

private

Definition at line 450 of file citydlg.h.

Referenced by create_and_append_overview_page(), create_citydlg_improvement_list(), and create_citydlg_improvement_list().

## ◆ whichtab_radio

GtkWidget* city_dialog::whichtab_radio[NUM_PAGES]

Definition at line 193 of file citydlg.c.

Referenced by create_and_append_settings_page().

## ◆ widget

GtkWidget* city_dialog::widget

Definition at line 181 of file citydlg.c.

Referenced by create_and_append_happiness_page(), and switch_city_callback().

## ◆ work_add_but

QPushButton* city_dialog::work_add_but

private

Definition at line 483 of file citydlg.h.

Referenced by city_dialog(), and update_prod_buttons().

## ◆ work_next_but

QPushButton* city_dialog::work_next_but

private

Definition at line 481 of file citydlg.h.

Referenced by city_dialog(), and update_prod_buttons().

## ◆ work_prev_but

QPushButton* city_dialog::work_prev_but

private

Definition at line 482 of file citydlg.h.

Referenced by city_dialog(), and update_prod_buttons().

## ◆ work_rem_but

QPushButton* city_dialog::work_rem_but

private

Definition at line 484 of file citydlg.h.

Referenced by city_dialog(), and update_prod_buttons().

## ◆ worklist

GtkWidget* city_dialog::worklist

Definition at line 175 of file citydlg.c.

Referenced by create_and_append_worklist_page(), display_worklist_menu(), real_city_dialog_refresh(), and switch_city_callback().

## ◆ zoom

float city_dialog::zoom

Definition at line 503 of file citydlg.h.

Referenced by city_dialog(), refresh(), zoom_in(), and zoom_out().

## ◆ zoom_in_button

QPushButton* city_dialog::zoom_in_button

private

Definition at line 486 of file citydlg.h.

Referenced by city_dialog().

## ◆ zoom_out_button

QPushButton* city_dialog::zoom_out_button

private

Definition at line 487 of file citydlg.h.

Referenced by city_dialog().